Subject: Re: Sources for 3.18-rc1 not uploaded

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Oct 2014 11:14:10 -0700

Michael J Gruber <[email-masked]> writes:

> Unfortunately, the git archive doc clearly says that the umask is
> applied to all archive entries.

Is an extended pax header "an archive entry"?  I doubt it, and the
above is not relevant.  The mode bits for the archive entry that it
applies to does not come from there.

See my other message for my final judgement on this one.  I wouldn't
have minded if the original used the same umask for those ignored
mode bits, but changing the bits to be ignored after the fact is not
helping any real use case and only hurts existing users.

That is not to say that we cannot later fix bigger issues in the
output.  I just do not see that otherwise-unused mode bits in the
extended pax header big enough an issue to spend brain cycles to
carefully lay and execute transition plans to avoid breaking
existing users.